"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = toMatchCSS;

var _utils = require("./utils");

function toMatchCSS(result, css) {
  const expected = (0, _utils.serializeCSS)(css);
  const received = (0, _utils.serializeCSS)(result.css);
  return {
    pass: expected === received,
    message: () => {
      const matcher = `${this.isNot ? ".not" : ""}.toMatchCSS`;
      return [this.utils.matcherHint(matcher), "", this.utils.diff(expected, received)].join("\n");
    }
  };
}